unit Frame_PulseInformation;

interface

uses 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TFramePulseInformation = class(TFrame)
    LabelBitIndex: TLabel;
    labelLoPulseDuration: TLabel;
    labelHiPulseDuration: TLabel;
    labelPulseCount: TLabel;
  private
    { Private declarations }
    _bitIndex: Integer;
    _lo: real;
    _hi: real;
    _count: Integer;
    procedure SetBitIndex(Value: Integer);
  public
    { Public declarations }
  published
    property BitIndex: integer read _bitIndex write SetBitIndex;
    property LoDuration: real read _lo;
    property HiDuration: real read _hi;
    property Count: integer read _count;


  end;

implementation

{$R *.DFM}

{ TFramePulseInformation }

procedure TFramePulseInformation.SetBitIndex(Value: Integer);
begin
  // if not the same,
  _bitIndex := Value;
  // , then repaint / etc
end;

end.
