object MainForm: TMainForm
  Left = 585
  Top = 168
  AutoScroll = False
  Caption = 'Pulse Train / PWM Sample'
  ClientHeight = 429
  ClientWidth = 433
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnCreate = FormCreate
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object Panel2: TPanel
    Left = 0
    Top = 0
    Width = 433
    Height = 44
    Align = alTop
    BevelOuter = bvNone
    TabOrder = 0
    object GroupBox2: TGroupBox
      Left = 0
      Top = 0
      Width = 337
      Height = 44
      Align = alClient
      Caption = 'Card'
      TabOrder = 0
      object CardCombo: TComboBox
        Left = 8
        Top = 16
        Width = 321
        Height = 21
        Style = csDropDownList
        Anchors = [akLeft, akTop, akRight]
        ItemHeight = 13
        TabOrder = 0
        OnChange = CardComboChange
      end
    end
    object GroupBox1: TGroupBox
      Left = 337
      Top = 0
      Width = 96
      Height = 44
      Align = alRight
      Caption = 'Pin'
      TabOrder = 1
      object PinCombo: TComboBox
        Left = 8
        Top = 16
        Width = 80
        Height = 21
        Style = csDropDownList
        Anchors = [akLeft, akTop, akRight]
        DropDownCount = 16
        ItemHeight = 13
        TabOrder = 0
        OnChange = PinComboChange
        Items.Strings = (
          'B0'
          'B1'
          'B2'
          'B3'
          'B4'
          'B5'
          'B6'
          'B7'
          'C0'
          'C1'
          'C2'
          'C3'
          'C4'
          'C5'
          'C6'
          'C7')
      end
    end
  end
  object PulseDurLowGroup: TGroupBox
    Left = 0
    Top = 44
    Width = 433
    Height = 48
    Align = alTop
    Caption = 'Pulse Duration Low'
    TabOrder = 1
    object PulseDurLowTrack: TTrackBar
      Left = 2
      Top = 15
      Width = 429
      Height = 31
      Align = alClient
      Max = 65535
      Min = 1
      Orientation = trHorizontal
      PageSize = 1250
      Frequency = 1250
      Position = 1250
      SelEnd = 0
      SelStart = 0
      TabOrder = 0
      ThumbLength = 15
      TickMarks = tmBottomRight
      TickStyle = tsAuto
      OnChange = PulseDurLowTrackChange
    end
  end
  object PulseDurHighGroup: TGroupBox
    Left = 0
    Top = 92
    Width = 433
    Height = 48
    Align = alTop
    Caption = 'Pulse Duration High'
    TabOrder = 2
    object PulseDurHighTrack: TTrackBar
      Left = 2
      Top = 15
      Width = 429
      Height = 31
      Align = alClient
      Max = 65535
      Min = 1
      Orientation = trHorizontal
      PageSize = 1250
      Frequency = 1250
      Position = 1250
      SelEnd = 0
      SelStart = 0
      TabOrder = 0
      ThumbLength = 15
      TickMarks = tmBottomRight
      TickStyle = tsAuto
      OnChange = PulseDurHighTrackChange
    end
  end
  object Panel1: TPanel
    Left = 0
    Top = 193
    Width = 433
    Height = 69
    Align = alTop
    BevelOuter = bvNone
    TabOrder = 3
    object GenerateButton: TButton
      Left = 297
      Top = 7
      Width = 128
      Height = 24
      Anchors = [akRight]
      Caption = 'Generate Pulses'
      Default = True
      TabOrder = 0
      OnClick = GenerateButtonClick
    end
    object cbInvert: TCheckBox
      Left = 8
      Top = 8
      Width = 121
      Height = 17
      Caption = 'active low pulses'
      TabOrder = 1
    end
    object cbAutoOutMode: TCheckBox
      Left = 8
      Top = 24
      Width = 121
      Height = 17
      Caption = 'auto out mode'
      TabOrder = 2
      OnClick = cbAutoOutModeClick
    end
    object cbPWM: TCheckBox
      Left = 8
      Top = 40
      Width = 121
      Height = 17
      Caption = 'forever (pwm mode)'
      TabOrder = 3
      OnClick = cbPWMClick
    end
  end
  object MainStatus: TStatusBar
    Left = 0
    Top = 409
    Width = 433
    Height = 20
    Panels = <
      item
        Alignment = taCenter
        Width = 50
      end>
    ParentColor = True
    ParentFont = True
    SimplePanel = False
    UseSystemFont = False
  end
  object PulseCountGroup: TGroupBox
    Left = 0
    Top = 140
    Width = 433
    Height = 53
    Align = alTop
    Caption = 'Pulse Count '
    TabOrder = 5
    object PulseCountTrack: TTrackBar
      Left = 2
      Top = 15
      Width = 429
      Height = 36
      Align = alClient
      Max = 255
      Min = 1
      Orientation = trHorizontal
      PageSize = 32
      Frequency = 32
      Position = 2
      SelEnd = 0
      SelStart = 0
      TabOrder = 0
      ThumbLength = 15
      TickMarks = tmBottomRight
      TickStyle = tsAuto
      OnChange = PulseCountTrackChange
    end
  end
  object LogGroup: TGroupBox
    Left = 0
    Top = 262
    Width = 433
    Height = 147
    Align = alClient
    Caption = 'Instruction Log '
    TabOrder = 6
    object LogMemo: TMemo
      Left = 2
      Top = 15
      Width = 429
      Height = 130
      Align = alClient
      ReadOnly = True
      ScrollBars = ssBoth
      TabOrder = 0
    end
  end
  object FlashTime: TTimer
    Enabled = False
    Interval = 15
    OnTimer = FlashTimeTimer
    Left = 400
    Top = 8
  end
end
